Cannoli_2.12: CLI 0.14.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package cannoli
  Definition Classes
    bdgenomics
-  package cli
  Definition Classes
    cannoli
- About
- BcftoolsCall
- BcftoolsCallArgs
- BcftoolsMpileup
- BcftoolsMpileupArgs
- BcftoolsNorm
- BcftoolsNormArgs
- BedtoolsIntersect
- BedtoolsIntersectArgs
- Blastn
- BlastnArgs
- Bowtie
- Bowtie2
- Bowtie2Args
- BowtieArgs
- BwaMem
- BwaMem2
- BwaMem2Args
- BwaMemArgs
- Cannoli
- CannoliModule
- Freebayes
- FreebayesArgs
- Gem
- GemArgs
- InterleaveFastq
- InterleaveFastqArgs
- LongMinimap2
- LongMinimap2Args
- LongUnimap
- LongUnimapArgs
- MagicBlast
- MagicBlastArgs
- Minimap2
- Minimap2Args
- SampleReads
- SampleReadsArgs
- SamtoolsMpileup
- SamtoolsMpileupArgs
- SingleEndBowtie2
- SingleEndBowtie2Args
- SingleEndMinimap2
- SingleEndMinimap2Args
- SingleEndStar
- SingleEndStarArgs
- SingleEndUnimap
- SingleEndUnimapArgs
- Snap
- SnapArgs
- SnpEff
- SnpEffArgs
- Star
- StarArgs
- Unimap
- UnimapArgs
- Vep
- VepArgs
- VtNormalize
- VtNormalizeArgs

c

org.bdgenomics.cannoli.cli

# BcftoolsMpileupArgs 

###

#### class BcftoolsMpileupArgs extends cannoli.BcftoolsMpileupArgs with ADAMSaveAnyArgs with ParquetArgs

Bcftools mpileup command line arguments.

Linear Supertypes
ParquetArgs, ADAMSaveAnyArgs, SaveArgs, ParquetRDDArgs, cannoli.BcftoolsMpileupArgs, Args4jBase, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. BcftoolsMpileupArgs
2. ParquetArgs
3. ADAMSaveAnyArgs
4. SaveArgs
5. ParquetRDDArgs
6. BcftoolsMpileupArgs
7. Args4jBase
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new BcftoolsMpileupArgs()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  var addFiles: Boolean
   Definition Classes
     BcftoolsMpileupArgs
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  var asSingleFile: Boolean
   Definition Classes
     BcftoolsMpileupArgs → ADAMSaveAnyArgs
7.  var bcftoolsArgs: String
   Definition Classes
     BcftoolsMpileupArgs
8.  val blockSize: Int
   Definition Classes
     ParquetArgs → ParquetRDDArgs
   Annotations
     @Option()
9.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
10.  val compressionCodec: CompressionCodecName
    Definition Classes
      ParquetArgs → ParquetRDDArgs
    Annotations
      @Option()
11.  var deferMerging: Boolean
    Definition Classes
      BcftoolsMpileupArgs → ADAMSaveAnyArgs
12.  val disableDictionaryEncoding: Boolean
    Definition Classes
      ParquetArgs → ParquetRDDArgs
    Annotations
      @Option()
13.  var disableFastConcat: Boolean
    Definition Classes
      BcftoolsMpileupArgs → ADAMSaveAnyArgs
14.  var doPrintUsage: Boolean
    Definition Classes
      Args4jBase
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
17.  var executable: String
    Definition Classes
      BcftoolsMpileupArgs
18.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
20.  var image: String
    Definition Classes
      BcftoolsMpileupArgs
21.  var inputPath: String
22.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
23.  val logLevel: String
    Definition Classes
      ParquetArgs
    Annotations
      @Option()
24.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
25.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
26.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
27.  var outputPath: String
    Definition Classes
      BcftoolsMpileupArgs → SaveArgs
28.  val pageSize: Int
    Definition Classes
      ParquetArgs → ParquetRDDArgs
    Annotations
      @Option()
29.  var referencePath: String
    Definition Classes
      BcftoolsMpileupArgs
30.  var sortFastqOutput: Boolean
    Definition Classes
      BcftoolsMpileupArgs → ADAMSaveAnyArgs
31.  var stringency: String
32.  var sudo: Boolean
    Definition Classes
      BcftoolsMpileupArgs
33.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
34.  def toString(): String
    Definition Classes
      AnyRef → Any
35.  var useDocker: Boolean
    Definition Classes
      BcftoolsMpileupArgs
36.  var useSingularity: Boolean
    Definition Classes
      BcftoolsMpileupArgs
37.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
38.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
39.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from ParquetArgs

### Inherited from ADAMSaveAnyArgs

### Inherited from SaveArgs

### Inherited from ParquetRDDArgs

### Inherited from cannoli.BcftoolsMpileupArgs

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped